### Method

# FwupdPlugin Context set_lid_state

since: 1.7.4

#### Declaration [src]

    void
    fu_context_set_lid_state (
      FuContext* self,
      FuLidState lid_state
    )

#### Description [src]

Sets the laptop lid state, if applicable.

Available since: 1.7.4

Sets property | `FwupdPlugin.Context:lid-state`

#### Parameters

`lid_state`

  Type: `FuLidState`

  A lid state, e.g. `FU_LID_STATE_CLOSED`.